import java.util.*;

public class Zadatak1 {

    public static void main(String[] args) {

        Scanner a = new Scanner(System.in);
       int p=a.nextInt(),q=a.nextInt(),r=a.nextInt(),L=a.nextInt(),R=a.nextInt(),x,N=0;
       for(int i=L;i<=R;i++){
           x=(int)(i/p)+(int)(i/q)+(int)(i/r);
           if(x<=N)
           N++;
       }
       System.out.println(N);


    }
}